< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package performance
  Definition Classes
    hmrc
-  package conf
  Definition Classes
    performance
- Configuration
- HttpConfiguration
- JourneyConfiguration
- JourneyDefinition
- PerftestConfiguration
- ServicesConfiguration

c

uk.gov.hmrc.performance.conf

# JourneyDefinition 

###

#### case class JourneyDefinition(id: String, description: String, load: Double, parts: List[String], feeder: String, runIf: Set[String] = Set.empty, skipIf: Set[String] = Set.empty) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. JourneyDefinition
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new JourneyDefinition(id: String, description: String, load: Double, parts: List[String], feeder: String, runIf: Set[String] = Set.empty, skipIf: Set[String] = Set.empty)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  val description: String
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  val feeder: String
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  val id: String
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  val load: Double
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  val parts: List[String]
18.  val runIf: Set[String]
19.  def shouldRun(testLabels: Set[String]): Boolean
20.  val skipIf: Set[String]
21.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped